body {
  margin: 0 !important;
  padding: 0 !important;
  background-color: rgb(245, 245, 245)
}

header,
nav,
ul,
footer {
  margin: 0 !important;
  padding: 0 !important;
}

Body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-color: rgb(245, 245, 245);
}

.produtos {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  font-size: larger;
}

.card {
  margin: 3% 4.5%;
}

.card-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 16px;
  max-width: 1200px;
  width: 100%;
  padding: 16px;
  box-sizing: border-box;
}
.card {
  background-color: #fff;
  padding: 20px;
  border: 1px solid #ddd;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  flex: 1 1 calc(15% - 32px); /* 4 cards por linha */
  overflow: hidden;
}
.card-img {
  width: 100%;
  height: 67%;
}
.card-corpo {
  width: 100%;
  height: 50%;
}
.titulo-card {
  margin-top: 5%;
  font-weight: 600;
}
.texto-card {
  font-size: 1em;
}
.buton {
  border: none;
  border-radius: 8px;
  color: black;
  padding: 8px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  background-color: rgb(221, 221, 221);
}
.buton a {
  text-decoration: none;
  color: black;
}
.button-login {
  border: none;
  border-radius: 8px;
  color: black;
  padding: 8px 30%;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1em;
  margin-top: 1%;
  margin-left: 14%;
  background-color: rgb(201, 201, 201);
  border-color: black;
  color: white;
}
.button-login a {
  text-decoration: none;
  color: rgb(255, 255, 255);
}
/*  <div class="d-grid gap-2 col-9 mx-auto">
        <button class="btn btn-primary" type="button" style="background-color: black; border-color: black;">Confirmar</button>
      </div>
  */


/* Media Queries para responsividade */

@media (max-width: 1024px) {
  .card {
    flex: 1 1 calc(33.33% - 32px); /* 3 cards por linha */
  }
}
@media (max-width: 768px) {
  .card {
    flex: 1 1 calc(50% - 32px); /* 2 cards por linha */
  }
}
@media (max-width: 480px) {
  .card {
    flex: 1 1 100%; /* 1 card por linha */
  }
}
table {
  border: 1px solid black;
}

.pag-produto {
  width: 100%;
  height: 1400px;
  display: flex;
  background-color: rgb(245, 245, 245);
}
.buton-produto{
  border: none;
  border-radius: 8px;
  color: black;
  padding: 8px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}
.buton-produto a {
  text-decoration: none;
  color: black;
}
.botões-troca{
  margin-top: 2%;
  margin-right: 8%;
  width: 100%;
  height: 45%;
  border: 1px solid rgb(249, 247, 247);
  margin-left: 8%;
  text-align: center;
}
.botões-troca p{
  text-align: center;
  margin: 10%;
  font-size: 1.8em;
}
.info-produto{
  background-color:rgb(255, 255, 255);
  margin: 15% 1% 2% 1%; /* top, right, bottom, left */
  border: 1px solid rgb(228, 223, 223);
  border-radius: 10px;
}
.imagem-produto {
  margin-top: 10%;
  margin-left: 16%;
  width: 600px;
  height: 500px;
  border: 1px solid rgb(182, 182, 182);
  background-color: rgb(255, 255, 255);
}
/*.imagem-produto2 {
  margin-top: 5%;
  margin-left: 3%;
  width: 550px;
  height: 600px;
  border: 1px solid black;
  background-image: url(img/Geladeiracasa3.jpeg);
  background-size: cover;
}*/

.nome-produto {
  font-size: 1.5em;
  margin-bottom: 2%;
}
.descricao {
  flex-wrap: wrap;
  padding: 30px;
  margin-top: 15% ;
  margin-bottom: 5% ;
  margin-left: 8%;
  width: 700px;
  border: 1px solid rgb(228, 223, 223);
  font-size: 1.5em;
  border-radius: 10px;
  background-color: rgb(255, 255, 255);
}
.descricao p {
  max-height: 30%;
}
.bt-chat{
  width: 150px;
  border: none;
  border-radius: 8px;
  color: black;
  background-color: rgb(53, 147, 255);
  padding: 8px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1.5em;
  margin-top: 20%;
}
.bt-chat a{
  text-decoration: none;
  color: black;
}


.categoria-container {
  display: flex;
  flex-wrap: wrap;
  text-align: center;
  justify-content: center;
  gap: 50px;
  padding: 5%;
}
.background-link1 {
  width: 180px;      /* Largura da área de clique */
  height: 180px;     /* Altura da área de clique */
  background-image: url('img/cat-informatica.png');
  background-size: cover;  /* Ajusta o tamanho da imagem */
  background-position: center;  /* Centraliza a imagem */
  display: block; /* Garante que o link seja clicável */
  border-radius: 50%;   
}
.background-link2 {
  width: 180px;      /* Largura da área de clique */
  height: 180px;     /* Altura da área de clique */
  background-image: url('img/cat-eletrodomesticos.png');
  background-size: cover;  /* Ajusta o tamanho da imagem */
  background-position: center;  /* Centraliza a imagem */
  display: block; /* Garante que o link seja clicável */
  border-radius: 50%;   
}
.background-link3 {
  width: 180px;      /* Largura da área de clique */
  height: 180px;     /* Altura da área de clique */
  background-image: url('img/cat-moveis.png');
  background-size: cover;  /* Ajusta o tamanho da imagem */
  background-position: center;  /* Centraliza a imagem */
  display: block; /* Garante que o link seja clicável */
  border-radius: 50%;  
}
.background-link4 {
  width: 180px;      /* Largura da área de clique */
  height: 180px;     /* Altura da área de clique */
  background-image: url('img/cat-roupas.png');
  background-size: cover;  /* Ajusta o tamanho da imagem */
  background-position: center;  /* Centraliza a imagem */
  display: block; /* Garante que o link seja clicável */
  border-radius: 50%;  
}
.background-link5 {
  width: 180px;      /* Largura da área de clique */
  height: 180px;     /* Altura da área de clique */
  background-image: url('img/cat-livros.png');
  background-size: cover;  /* Ajusta o tamanho da imagem */
  background-position: center;  /* Centraliza a imagem */
  display: block; /* Garante que o link seja clicável */
  border-radius: 50%;   
}
.background-link6 {
  width: 180px;      /* Largura da área de clique */
  height: 180px;     /* Altura da área de clique */
  background-image: url('img/cat-ferramentas.png');
  background-size: cover;  /* Ajusta o tamanho da imagem */
  background-position: center;  /* Centraliza a imagem */
  display: block; /* Garante que o link seja clicável */
  border-radius: 50%;  
}
 /*.categorias1 {
  border-radius: 50%;
  width: 180px;
  height: 180px;
  border: black solid 1px;
  background-image: url(img/);
  background-size: cover;
}*/


.departamento {
  width: 100%;
  height: 2400px;
}
.titulo-cat h1{
  font-size: 4.5em;
  text-align: center;
  margin: 5%;
  margin-bottom: 8%;
  font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
}
.itens {
  display: flex;
}
.img-pro-cat {
  width: 430px;
  height: 402px;
  border: 1px solid rgb(220, 220, 220);
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  margin-left:12%;
  background-color: white;
  box-shadow: 10px 5px 5px  rgb(207, 207, 207);
}
.texto-pro-cat {
  width: 50%;
  height: 402px;
  border: 1px solid rgb(220, 220, 220);
  border-top-right-radius: 30px;
  border-bottom-right-radius: 20px;
  margin-right: 2.5%;
  margin-bottom: 2%;
  background-color: white;
  box-shadow: 10px 5px 5px rgb(207, 207, 207);
}
.texto-pro-cat h2 {
  margin-top: 2%;
  margin-left: 5%;
}
.texto-pro-cat p {
  max-width: 70%;
  margin-top: 4%;
  margin-left: 5%;
  font-size: 2em;
}


.entrar {
  margin-left: 30%;
  margin-top: 8%;
  margin-bottom: 48%;
  width: 40%;
  height: 90%;
  padding-top: 2%;
  border-radius: 20px;
  border: 1px solid rgb(220, 220, 220);
  background-color: rgb(221, 221, 221);
}
.entrar h1 {
  font-size: 5.5em;
  text-align: center;
}
.entrar p {
  text-align: center;
  margin-top: 9%;
  margin-left: 28%;
}
.entrar {
  a {
    color: black;
  }
  a {
    margin-top: 9%;
  }
}
.conta {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  text-align: center;
}
.cadastrar {
  margin-left: 28%;
  margin-top: 8%;
  margin-bottom: 18%;
  width: 45%;
  height: 850px;
  padding-top: 2%;
  border-radius: 20px;
  border: 1px solid rgb(220, 220, 220);
  background-color: rgb(221, 221, 221);
}
.cadastrar h1 {
  font-size: 5.5em;
  text-align: center;
}
.cadastrar p {
  text-align: center;
  margin-top: 9%;
  margin-left: 34%;
}
.cadastrar {
  a {
    color: black;
  }
  a {
    margin-top: 9%;
  }
}


.form-floating {
  margin: 10%;
}


.banner-home {
  width: 1544px;
  height: 240px;
  font-size: 20px;
  background-image: url();
  border: black solid 1px;
}
.banner-home2 {
  margin: 10px 35%;
  width: 25%;
  height: 240px;
  font-size: 20px;
  background-image: url();
  border: black solid 1px;
}
.sobre {
  border: black solid 1px;
}
.texto {
  margin: 55px 15%;
  height: 550px;
  font-size: 2em;
}
.Equipe {
  padding: 90px ;
  text-align: center;
  font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  background-color: rgb(245, 245, 245);
}
.bloco {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  font-size: larger;
  padding: 90px;
  background-color: rgb(245, 245, 245);
}
.foto {
  margin: 30px 7.5% 8%;
  width: 270px;
  height: 360px;
}

.projeto{
  height: 700px;
}


.footer1 {
  margin-bottom: 0px;
  margin:50px;
  display: flex;
  flex-direction: row;
  justify-content:space-evenly;
  background-color: #ffffff;
  font-size:larger;
}
.footer1 img{
width: 50%;
}
.footer2 p {
  margin-bottom: 0%;
  margin: 0%;
  color: black;
  padding: 10px;
  text-align: center;
  font-size: 0.8em;
  text-align: center;
  background-color: #ffffff;
}
.footer1 a {
  color: black;
}

.body2 { 
  background-image:url(img/mecanimais.jpg);
  background-size:cover;
  background-repeat:no-repeat ;
  background-attachment: scroll;
}
.Equipe2{
  margin:0;
  padding: 90px;
  text-align: center;
  color: #ffffff;
  font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}
.easteregg {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  font-size: larger;
  padding: 90px;
}
.card-text a{
  text-decoration: none;
  color: black;
}




.qr{
width: 200px;
height: 200px;
}


.



















/* ESTILIZAÇÃO DO CHAT
.chat-container {
  width: 300px;
  height: 400px;
  display: flex;
  flex-direction: column;
  border: 1px solid #ccc;
}

.chat-header {
  padding: 10px;
  background-color: #f1f1f1;
  text-align: center;
  font-weight: bold;
}

.chat-box {
  flex-grow: 1;
  padding: 10px;
  background-color: #fff;
  overflow-y: auto;
}

.chat-input {
  display: flex;
  padding: 10px;
  background-color: #f1f1f1;
}

.chat-input input {
  flex-grow: 1;
  padding: 5px;
}

.chat-input button {
  margin-left: 10px;
  padding: 5px 10px;
}

.chat-message {
  margin-bottom: 10px;
  padding: 10px;
  border-radius: 5px;
}

.chat-message.system {
  background-color: #e0e0e0;
}

.chat-message.user {
  background-color: #d1e7dd;
  align-self: flex-end;
}
*/


























